Merge pull request #247 from puppetlabs/modulesync_updates
[puppet_vcsrepo.git] / Gemfile
1 source ENV['GEM_SOURCE'] || "https://rubygems.org"
2
3 def location_for(place, fake_version = nil)
4   if place =~ /^(git:[^#]*)#(.*)/
5     [fake_version, { :git => $1, :branch => $2, :require => false }].compact
6   elsif place =~ /^file:\/\/(.*)/
7     ['>= 0', { :path => File.expand_path($1), :require => false }]
8   else
9     [place, { :require => false }]
10   end
11 end
12
13 group :development, :unit_tests do
14   gem 'rspec-core', '3.1.7',     :require => false
15   gem 'puppetlabs_spec_helper',  :require => false
16   gem 'simplecov',               :require => false
17   gem 'puppet_facts',            :require => false
18   gem 'json',                    :require => false
19 end
20
21 group :system_tests do
22   if beaker_version = ENV['BEAKER_VERSION']
23     gem 'beaker', *location_for(beaker_version)
24   end
25   if beaker_rspec_version = ENV['BEAKER_RSPEC_VERSION']
26     gem 'beaker-rspec', *location_for(beaker_rspec_version)
27   else
28     gem 'beaker-rspec',  :require => false
29   end
30   gem 'serverspec',    :require => false
31 end
32
33
34
35 if facterversion = ENV['FACTER_GEM_VERSION']
36   gem 'facter', facterversion, :require => false
37 else
38   gem 'facter', :require => false
39 end
40
41 if puppetversion = ENV['PUPPET_GEM_VERSION']
42   gem 'puppet', puppetversion, :require => false
43 else
44   gem 'puppet', :require => false
45 end
46
47 # vim:ft=ruby